GDB (xrefs)

Public Attributes | List of all members
blpy_block_object Struct Reference

## Public Attributes
PyObject_HEAD const struct block * | block
struct objfile * | objfile
struct blpy_block_object * | prev
struct blpy_block_object * | next

## Detailed Description

Definition at line 28 of file py-block.c.

## Member Data Documentation

## ◆ block

PyObject_HEAD const struct block* blpy_block_object::block

Definition at line 31 of file py-block.c.

Referenced by blpy_iter_is_valid(), del_objfile_blocks(), and set_block().

## ◆ next

struct blpy_block_object* blpy_block_object::next

Definition at line 39 of file py-block.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), del_objfile_blocks(), and set_block().

## ◆ objfile

struct objfile* blpy_block_object::objfile

Definition at line 35 of file py-block.c.

Referenced by blpy_get_global_block(), blpy_get_static_block(), blpy_get_superblock(), del_objfile_blocks(), and set_block().

## ◆ prev

struct blpy_block_object* blpy_block_object::prev

Definition at line 38 of file py-block.c.

Referenced by del_objfile_blocks(), and set_block().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-block.c